"""`unnecessarymath` is the best math module for Python ever"""

import numpy as np

def sqrt(x):
    """
    Evaluate the square root of a non-negative number

    >>> sqrt(4)
    2.0
    >>> sqrt(1.)
    1.0
    """
    return np.sqrt(x)

def square(x):
    """
    Evaluate the square of a number

    >>> square(2)
    4
    >>> square(4.)
    16.0
    """
    return x * x

def power(x, y):
    """
    Evaluates a number x to the power y

    >>> power(2, 3)
    8
    >>> power(3, 2)
    9
    """
    return x ** y